let options = {
    diapason_akk: [],
};

$('#parser_start').on('click', async function () {
    //{"chats":["@dfgggh",http....","t.me..."],"online":[0,48],"type":["admin","bots","alluser"]}
    //Получение данных из textarea


    clear_log = 0
    counter_send = 0
    let json = JSON.stringify(options);
    //Получили json обьект
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        // =============
        counter_send = 0
        $("#num_send_user").text(counter_send);
        // =============
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить");
        $("#get_user_num").addClass('d-none');
        $("#get_user_num").text('0');
        $("#get_channels_num").addClass('d-none');
        $("#get_channels_num").text('0');
        $("#get_chats_num").addClass('d-none');
        $("#get_chats_num").text('0');
        $("#get_chats_names_num").addClass('d-none');
        $("#get_chats_names_num").text('0');
        $('#log li').remove();
        console.log(json)
        await eel.parser_chats_accaunt(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Запустить");
        eel.stopped('parser_chats_accaunt') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('parser_chats_accaunt')
});

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#parser_start').removeClass('btn-danger');
    $('#parser_start').addClass('btn-success');
    $('#parser_start').text("Запустить");
}


let clear_log = 0
eel.expose(log);
function log(log_line) {
  if (clear_log == 250){
    $('#log li:first').remove();
  } else {clear_log = clear_log + 1}
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}

eel.expose(get_user);
function get_user(number) {
    $("#get_user_num").removeClass('d-none');
    $("#get_user_num").text(number);// Вывод количества собраных username
}

eel.expose(get_channels);
function get_channels(number) {
    $("#get_channels_num").removeClass('d-none');
    $("#get_channels_num").text(number);// Вывод количества собраных username
}

eel.expose(get_chats);
function get_chats(number) {
    $("#get_chats_num").removeClass('d-none');
    $("#get_chats_num").text(number);// Вывод количества собраных username
}

eel.expose(get_chats_names);
function get_chats_names(number) {
    $("#get_chats_names_num").removeClass('d-none');
    $("#get_chats_names_num").text(number);// Вывод количества собраных username
}

$('#get_user').on('click', function () {
    var link = document.createElement('a');
    link.setAttribute('href', '/uploads/acc_user.txt');
    link.setAttribute('download', 'acc_user.txt');
    link.click();
    return false;
});

$('#get_channels').on('click', function () {
    var link = document.createElement('a');
    link.setAttribute('href', '/uploads/acc_channels.txt');
    link.setAttribute('download', 'acc_channels.txt');
    link.click();
    return false;
});

$('#get_chats').on('click', function () {
    var link = document.createElement('a');
    link.setAttribute('href', '/uploads/acc_chats.txt');
    link.setAttribute('download', 'acc_chats.txt');
    link.click();
    return false;
});

$('#get_chats_names').on('click', function () {
    var link = document.createElement('a');
    link.setAttribute('href', '/uploads/acc_chats_names.txt');
    link.setAttribute('download', 'acc_chats_names.txt');
    link.click();
    return false;
});



$('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
});

$('#select_accounts_apply').on('click', async function () {
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
        let type_bg = $('#table_users tr').eq(i).attr("class");
        if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
        }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
});

// eel.expose(error);
function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 2100
    })
}